diff -u eglibc-2.10.1/debian/changelog eglibc-2.10.1/debian/changelog
--- eglibc-2.10.1/debian/changelog
+++ eglibc-2.10.1/debian/changelog
@@ -1,3 +1,11 @@
+eglibc (2.10.1-8) unstable; urgency=low
+
+  * In the POSIX C locale, the start of the week is Sunday; incorporate
+    930799d555e9534cf78f57fa88642a4a43d278f4 to fix the incorrect
+    startdate of Monday. Closes: #556884.
+
+ -- Don Armstrong <don@debian.org>  Tue, 17 Nov 2009 20:28:55 -0800
+
 eglibc (2.10.1-7) unstable; urgency=low
 
   * patches/all/local-ldd.diff: new patch to handle the case where ld.so is
diff -u eglibc-2.10.1/debian/patches/locale/fix-C-first_weekday.diff eglibc-2.10.1/debian/patches/locale/fix-C-first_weekday.diff
--- eglibc-2.10.1/debian/patches/locale/fix-C-first_weekday.diff
+++ eglibc-2.10.1/debian/patches/locale/fix-C-first_weekday.diff
@@ -4,24 +4,25 @@
-# DP: Related bugs: #327025  BZ181
+# DP: Related bugs: #327025 #556884 BZ181
 # DP: Dpatch author: Denis Barbier
-# DP: Patch author: Petter Reinholdtsen
+# DP: Patch author: Don Armstrong
 # DP: Upstream status: BZ181
-# DP: Date: 2006-01-10
+# DP: Date: 2009-11-17
 
 ---
- locale/C-time.c |    2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
+ locale/C-time.c |    4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
 
 --- a/locale/C-time.c
 +++ b/locale/C-time.c
-@@ -135,10 +135,10 @@
+@@ -134,10 +134,10 @@
+     { .wstr = (const uint32_t *) L"" },
      { .wstr = (const uint32_t *) L"" },
      { .string = "\7" },
-     { .word = 19971201 },
--    { .string = "\4" },
-     { .string = "\7" },
+-    { .word = 19971201 },
++    { .word = 19971130 },
+     { .string = "\4" },
+-    { .string = "\7" },
      { .string = "\1" },
++    { .string = "\2" },
      { .string = "\1" },
-+    { .string = "\1" },
      { .string = "" },
      { .string = "%a %b %e %H:%M:%S %Z %Y" },
-     { .wstr = (const uint32_t *) L"%a %b %e %H:%M:%S %Z %Y" },
